{% extends 'base.html' %}

{% block body %}

<div class="header">
  <div class="header-cart-box">
    <a href="{% url 'cart' %}">
      <span id="cart-total-price">{{ cart_total }} ₴</span>
      <img src="{% static 'images/shopping-cart.png' %}"/>
    </a>
  </div>
</div>

<ul>
    {% for dish in dishes %}
        <li>
          <div class="dish" data-id={{ dish.id }}> {{ dish.title }}
            {% if dish.image %}
            <img src="{{ dish.image.url }}">
            {% endif %}
            <div class="dish-footer">
              <span class="dish-price"> {{ dish.price }} ₴ </span>
              <button class="btn btn-add" data-dish-id={{ dish.id }}>Add to order</button>
              <div class="dish-kind">{{ dish.kind }}</div>
              <img src="#">
            </div>
          </div>
        </li>
    {% endfor %}
</ul>

<div class="cart-box">
  {% if cart_items_count != 0 %}
  <a href="{% url 'cart' %}">
    <div class="cart-header">
        <span id="cart-items-amount">Dishes in cart: {{cart_items_count}}</span>
        <ul class="cart-items-list">
          <li></li>
        </ul>
    </div>
  </a>
  {% else %}
  <a href="{% url 'cart' %}">
    <div class="cart-header">
      <span id="cart-items-amount">Empty cart</span>
    </div>
  </a>
  {% endif %}
</div>

{% endblock %}
